###
# Program: Configuration File 
# Author:  Andre S Lessa
###

### import modules

import exceptions, sys

configfile = raw_input("Configuration File: ")

class ConfigError (exceptions.Exception):
    def __init__(self, arg=None):
        self.args = arg

try:
    try:
        file = open(configfile)
        lines = file.readlines()
    finally:
        file.close()
except:
    print "Error. Invalid file name."
    sys.exit()

lines[0] = lines[0][:-1]

if lines[0] != "CFG2000":
    raise ConfigError, "Invalid header."

lines = lines[1:]

for line in lines:
    try:
        exec line
    except LookupError, b:
        if b.args[0] == "list index out of range":
            print "Error. Invalid index entry"
        else:
            print "Error. Generic LookupError entry"
    except SystemExit:
        print "Error. sys.exit() cannot be used."
