import types
class METACLASS:
   def __init__(self, name, bases, namespace):
       self.__name__ = name
       self.__bases__ = bases
       self.__namespace__ = namespace
   def __call__(self):
       return METAINSTANCE(self)

class METAINSTANCE:
   def __init__(self, metaclass):
       self.__metaclass__ = metaclass
   def __getattr__(self, name):
       try:
           value = self.__metaclass__.__namespace__[name]
       except KeyError:
           raise AttributeError, name
       if type(value) is not types.FunctionType:
           return value
       return METHODWRAPPER(value, self)

class METHODWRAPPER:
   def __init__(self, function, metainstance):
       self.function = function
       self.instance = metainstance
       self.__name__ = self.function.__name__
   def __call__(self, *args):
       return apply(self.function, (self.instance,) + args)

BASECLASS = METACLASS("BASECLASS", (), {})

class employee(BASECLASS):
    def push(self, name):
        self.name = [name]
    def pop(self):
        if len(self.name) > 0:
            item = self.name[-1]
            del self.name[-1]
            print item
