import htmllib
import formatter, string, cgi

form = cgi.FieldStorage()

try:
    myfile = form["filename"].value
except:
    myfile = "index.html"

class ParserClass(htmllib.HTMLParser):
    def __init__(self, verbose=0):
        self.anchors = {}
        fmt = formatter.NullFormatter()
        htmllib.HTMLParser.__init__(self, fmt, verbose)
    def anchor_bgn(self, href, name, type):
        self.save_bgn()
        self.anchor = href
    def anchor_end(self):
        tagtext = string.strip(self.save_end())
        if self.anchor and tagtext:
            self.anchors[tagtext] = self.anchors.get(tagtext, []) + [self.anchor]

filename = open(myfile)
htmldata = filename.read()
filename.close()

parserobj = ParserClass()
parserobj.feed(htmldata)
parserobj.close()

print "Content-type: text/html\n"

for key in p.anchors.keys():
    print key, p.anchors[key]
